<?php
/**
 * @var MyCoursesController $controller
 * @var bool $studygroups
 * @var string $cid
 * @var array $groups
 * @var array $group_names
 * @var array $semesters
 * @var string $group_field
 * @var string $current_semester
 */
?>
<form method="post" action="<?= $controller->store_groups($studygroups) ?>" class="default">
    <?= CSRFProtection::tokenTag() ?>

    <input type="hidden" name="cid" value="<?= htmlReady($cid) ?>">
    <table class="default collapsable">
        <caption><?= _('Gruppenzuordnung') ?></caption>
        <colgroup>
            <col>
        <? for ($i = 0; $i < 9; $i += 1): ?>
            <col style="width: 32px">
        <? endfor; ?>
        </colgroup>
        <thead>
            <tr>
                <th><?= _('Veranstaltung') ?></th>
                <th colspan="100%"><?= _('Gruppe/Farbe') ?></th>
            </tr>
        </thead>
        <? foreach ($groups as $group_id => $group_members): ?>
            <tbody <? if (isset($semesters[$group_id]['semester_id']) && $current_semester != $semesters[$group_id]['semester_id']) echo 'class="collapsed"'; ?>>
            <? if ($group_field !== 'not_grouped'): ?>

                <tr class="table_header header-row">
                    <th colspan="10" class="toggle-indicator">
                        <a class="toggler" href="#">
                            <? if (is_array($group_names[$group_id])): ?>
                                <?= htmlReady($group_names[$group_id][1] . ' > ' . $group_names[$group_id][0]) ?>
                            <? else: ?>
                                <?= htmlReady($group_names[$group_id]) ?>
                            <? endif; ?>
                        </a>
                    </th>
                </tr>
            <? endif; ?>
            <? foreach ($group_members as $member): ?>
                <tr>
                    <td>
                        <a href="<?= URLHelper::getLink('dispatch.php/course/go?to=' . $member['seminar_id']) ?>">
                            <?= htmlReady(Config::get()->IMPORTANT_SEMNUMBER ? $my_sem[$member['seminar_id']]['veranstaltungsnummer'] : '') ?>
                            <?= htmlReady($my_sem[$member['seminar_id']]['name']) ?>
                        </a>
                        <? if (!$my_sem[$member['seminar_id']]['visible']): ?>
                            <?= _('(versteckt)') ?>
                        <? endif; ?>
                    </td>
                    <?= $this->render_partial(
                        'my_courses/group_selector',
                        [
                            'course_id'         => $member['seminar_id'],
                            'selected_group_id' => $my_sem[$member['seminar_id']]['gruppe']
                        ]
                    ) ?>
                </tr>
            <? endforeach; ?>
            </tbody>
        <? endforeach; ?>
    </table>

    <div align="center" data-dialog-button>
        <div class="button-group">
            <?= Studip\Button::createAccept(_('Speichern')) ?>
            <?= Studip\LinkButton::createCancel(_('Abbrechen'), $controller->url_for('my_courses/groups')) ?>
        </div>
    </div>
</form>
