<?php

namespace JsonApi\Routes\Mvv;

use JsonApi\Schemas\ModuleComponent;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Message\ResponseInterface as Response;
use JsonApi\Errors\RecordNotFoundException;
use JsonApi\JsonApiController;

class ModuleComponentsByModuleIndex extends JsonApiController
{
    protected $allowedPagingParameters = ['offset', 'limit'];

    protected $allowedIncludePaths = [
        ModuleComponent::REL_COURSES,
    ];

    /**
     * @SuppressWarnings(PHPMD.UnusedFormalParameters)
     */
    public function __invoke(Request $request, Response $response, $args)
    {
        $module = \Modul::find($args['id']);
        if (!$module) {
            throw new RecordNotFoundException();
        }
        [$offset, $limit] = $this->getOffsetAndLimit();

        return $this->getPaginatedContentResponse(
            $module->modulteile->limit($offset, $limit),
            count($module->modulteile)
        );
    }
}
